petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetTrustRegionTolerance

Sets the trust region parameter tolerance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetTrustRegionTolerance(SNES snes,PetscReal tol)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| tol | - tolerance

### Options Database Key

-snes_trtol <tol> -Sets tol

### Keywords

SNES, nonlinear, set, trust region, tolerance

### See Also

SNESSetTolerances()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages